Bug 494879 - [RHEL5.4]: Fix interaction between dom0 and NTP
[RHEL5.4]: Fix interaction between dom0 and NTP
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Rik van Riel
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-08 10:14 EDT by Chris Lalancette
Modified: 2009-09-02 05:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:01:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
upstream patch rediffed against RHEL tree (1.88 KB, patch)
2009-04-08 15:51 EDT, Rik van Riel
no flags Details | Diff

  None (edit)
Description Chris Lalancette 2009-04-08 10:14:45 EDT
Description of problem:
Recently a patch was put into the upstream linux-2.6.18-xen.hg kernel:

http://lists.xensource.com/archives/html/xen-devel/2009-03/msg01179.html

Essentially, it makes sure that we don't discard the NTP sync when we update the Xen wallclock from dom0.  It looks like we'll probably need this in RHEL-5, although I'm not entirely sure yet how to prove it's working or not.  It was committed to upstream linux-2.6.18-xen.hg as c/s 832.
Comment 1 Rik van Riel 2009-04-08 12:07:16 EDT
Yes, we want this changeset.  It could even help fix some of our long-standing PV timer bugs...
Comment 3 Rik van Riel 2009-04-08 15:51:59 EDT
Created attachment 338791 [details]
upstream patch rediffed against RHEL tree
Comment 4 Don Zickus 2009-04-20 13:12:33 EDT
in kernel-2.6.18-140.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 7 errata-xmlrpc 2009-09-02 05:01:46 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.